/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {StatInfoResponse} from "./statInfoResponse";
import {SubcontractorZoneWorkerResponse} from "src/classLibrary/APIModels/analytics/subcontractorZoneWorkerResponse";
import {
    IZoneSubDatabase,
    SegmentAggregateCountAnalytics,
    SubDict,
    ZoneDict
} from "src/classLibrary/APIModels/analytics/CommonAnalyticModels";

export class HourlySubcontractorZoneWorkerResponse implements IZoneSubDatabase, SegmentAggregateCountAnalytics {
    public info: StatInfoResponse;

    public data: { [s: string]: SubcontractorZoneWorkerResponse };

    public zones: ZoneDict;

    public subcontractors: SubDict;

    constructor(info: StatInfoResponse, data: { [p: string]: SubcontractorZoneWorkerResponse }, zones: ZoneDict, subcontractors: SubDict) {
        this.info = info;
        this.data = data;
        this.zones = zones;
        this.subcontractors = subcontractors;
    }
}
